- Updated initscript for LSB exit codes and actions (bug #246897).

This commit is contained in:
Tim Waugh 2008-02-01 13:33:44 +00:00
parent 0939b20181
commit 4c05344dab
2 changed files with 13 additions and 2 deletions

View File

@ -46,7 +46,7 @@ start () {
RETVAL=$?
echo
[ $RETVAL = 0 ] && touch /var/lock/subsys/cups
return $RETVAL
return 0
}
stop () {
@ -56,6 +56,7 @@ stop () {
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f /var/lock/subsys/cups
return 0
}
restart() {
@ -73,7 +74,7 @@ case $1 in
restart)
restart
;;
condrestart)
condrestart|try-restart)
[ -f /var/lock/subsys/cups ] && restart || :
;;
reload)
@ -82,6 +83,13 @@ case $1 in
RETVAL=$?
echo
;;
force-reload)
echo -n $"Reloading $prog: "
if ! killproc $DAEMON -HUP; then
restart
fi
echo
;;
status)
status $DAEMON
RETVAL=$?

View File

@ -452,6 +452,9 @@ rm -rf $RPM_BUILD_ROOT
%{cups_serverbin}/daemon/cups-lpd
%changelog
* Fri Feb 1 2008 Tim Waugh <twaugh@redhat.com>
- Updated initscript for LSB exit codes and actions (bug #246897).
* Thu Jan 24 2008 Tim Waugh <twaugh@redhat.com> 1:1.3.5-3
- Build requires autoconf.